package com.badlogic.androidgames.mrnom;

import java.util.List;

import com.badlogic.androidgames.framework.Game;
import com.badlogic.androidgames.framework.Graphics;
import com.badlogic.androidgames.framework.Input.TouchEvent;
import com.badlogic.androidgames.framework.Screen;

public class HighscoreScreen extends Screen{
	String[] highScores = new String[5];
	
	public HighscoreScreen(Game game) {
		super(game);
		
		for (int i = 0; i < 5; ++i) {
			highScores[i] = "" + (i + 1) + ". " + Settings.highscores[i];
		}
	}
	
	@Override
	public void update(float deltaTime) {
		List<TouchEvent> touchEvents = game.getInput().getTouchEvents();
		game.getInput().getKeyEvents();
		for (int i = 0; i < touchEvents.size(); ++i) {
			TouchEvent event = touchEvents.get(i);
			if (event.type == TouchEvent.TOUCH_UP) {
				if (event.x < 64 && event.y > 416)
					game.setScreen(new MainMenu(game));
				if (Settings.soundEnabled)
					Assets.click.play(1);
				return;
			}
		}
	}
	
	@Override
	public void present(float deltaTime) {
		Graphics g = game.getGraphics();
		
		g.drawPixMap(Assets.background, 0, 0);
		g.drawPixMap(Assets.mainMenu, 64, 20, 0, 42, 196, 42);
		
		int y = 100;
		for (int i = 0; i < highScores.length; ++i) {
			drawText(g, highScores[i], 20, y);
			y += 50;
		}
		
		g.drawPixMap(Assets.buttons, 0, 416, 64, 64, 64, 64);
	}
	
	@Override
	public void pause() {
		//Nothing to do here.
	}
	
	@Override
	public void resume() {
		//No work.
	}
	
	@Override
	public void dispose() {
		//No, no!
	}
	
	public void drawText(Graphics g, String line, int x, int y) {
		for (int i = 0; i < line.length(); ++i) {
			char ch = line.charAt(i);
			//If it's a space, jump 20 px and continue
			if (ch == ' ') {
				x += 20;
				continue;
			} 
			
			int srcX = 0;
			int srcWidth = 0;
			if (ch == '.') {
				srcX = 200; //Jump to position 200 px in the bitmap
				srcWidth = 10; //A dot is only 10 px width
			} else {
				srcX = (ch - '0') * 20;
				srcWidth = 20;
			}
			
			g.drawPixMap(Assets.numbers, x, y, srcX, 0, srcWidth, 32);
			x += srcWidth; 
		}
	}

}
