package com.badlogic.androidgames.mrnom;

import com.badlogic.androidgames.framework.Game;
import com.badlogic.androidgames.framework.Graphics;
import com.badlogic.androidgames.framework.Graphics.PixMapFormat;
import com.badlogic.androidgames.framework.Screen;

public class LoadingScreen extends Screen {
	
	public LoadingScreen(Game game) {
		super(game);
	}
	
	@Override
	public void update(float delta) {
		//Load graphical assets
		Graphics g = game.getGraphics();
		Assets.background = g.newPixMap("background.png", PixMapFormat.RGB565);
		Assets.logo = g.newPixMap("logo.png", PixMapFormat.ARGB4444);
		Assets.mainMenu = g.newPixMap("mainmenu.png", PixMapFormat.ARGB4444);
		Assets.buttons = g.newPixMap("buttons.png", PixMapFormat.ARGB4444);
		Assets.help1 = g.newPixMap("help1.png", PixMapFormat.ARGB4444);
		Assets.help2 = g.newPixMap("help2.png", PixMapFormat.ARGB4444);
		Assets.help3 = g.newPixMap("help3.png", PixMapFormat.ARGB4444);
		Assets.numbers = g.newPixMap("numbers.png", PixMapFormat.ARGB4444);
		Assets.ready = g.newPixMap("ready.png", PixMapFormat.ARGB4444);
		Assets.pause = g.newPixMap("pausemenu.png", PixMapFormat.ARGB4444);
		Assets.gameOver = g.newPixMap("gameover.png", PixMapFormat.ARGB4444);
		Assets.headUp = g.newPixMap("headup.png", PixMapFormat.ARGB4444);
		Assets.headLeft = g.newPixMap("headleft.png", PixMapFormat.ARGB4444);
		Assets.headDown = g.newPixMap("headdown.png", PixMapFormat.ARGB4444);
		Assets.headRight = g.newPixMap("headright.png", PixMapFormat.ARGB4444);
		Assets.tail = g.newPixMap("tail.png", PixMapFormat.ARGB4444);
		Assets.stain1 = g.newPixMap("stain1.png", PixMapFormat.ARGB4444);
		Assets.stain2 = g.newPixMap("stain2.png", PixMapFormat.ARGB4444);
		Assets.stain3 = g.newPixMap("stain3.png", PixMapFormat.ARGB4444);
		//Load sound assets
		Assets.click = game.getAudio().newSound("click.ogg");
		Assets.eat = game.getAudio().newSound("eat.ogg");
		Assets.bitten = game.getAudio().newSound("bitten.ogg");
		
		Settings.load(game.getFileIO());
		game.setScreen(new MainMenu(game));
	}
	
	@Override
	public void present(float delta) {
		//stubs
	}
	
	@Override
	public void pause() {
		//stubs
	}
	
	@Override
	public void resume() {
		//stubs
	}
	
	@Override
	public void dispose() {
		//stubs
	}
}
