package com.badlogic.androidgames.mrnom;

import java.util.List;

import com.badlogic.androidgames.framework.Game;
import com.badlogic.androidgames.framework.Graphics;
import com.badlogic.androidgames.framework.Input.TouchEvent;
import com.badlogic.androidgames.framework.Screen;

public class MainMenu extends Screen {
	public MainMenu(Game game) {
		super(game);
	}
	
	@Override
	public void update(float deltaTime) {
		List<TouchEvent> touchEvents = game.getInput().getTouchEvents();
		for (int i = 0; i < touchEvents.size(); ++i) {
			TouchEvent event = touchEvents.get(i);
			if (event.type == TouchEvent.TOUCH_UP) {
				if (inBounds(event, 0, 416, 64, 64)) {
						Settings.soundEnabled = !Settings.soundEnabled;
						if (Settings.soundEnabled)
							Assets.click.play(1);
				}
				if (inBounds(event, 64, 220, 192, 42)) {
					//game.setScreen(new GameScreen(game));
					if (Settings.soundEnabled)
						Assets.click.play(1);
					return;
				}
				if (inBounds(event, 64, (220 + 42), 192, 42)) {
					game.setScreen(new HighscoreScreen(game));
					if (Settings.soundEnabled)
						Assets.click.play(1);
					return;
				}
				if (inBounds(event, 64, (220 + 84), 192, 42)) {
					game.setScreen(new HelpScreen(game));
					if (Settings.soundEnabled)
						Assets.click.play(1);
					return;
				}
			}
		}
	}
	
	@Override
	public void present(float deltaTime) {
		Graphics g = game.getGraphics();
		
		g.drawPixMap(Assets.background, 0, 0);
		g.drawPixMap(Assets.logo, 32, 20);
		g.drawPixMap(Assets.mainMenu, 64, 220);
		if (Settings.soundEnabled)
			g.drawPixMap(Assets.buttons, 0, 416, 0, 0, 64, 64);
		else
			g.drawPixMap(Assets.buttons, 0, 416, 64, 0, 64, 64);
	}
	
	@Override
	public void pause() {
		Settings.save(game.getFileIO());
	}
	
	@Override
	public void resume() {
		//Nothing to do here.
	}
	
	@Override
	public void dispose() {
		//No work, work!
	}
	
	public boolean inBounds(TouchEvent event, int x, int y, int width, int height) {
		if (event.x > x && event.x < (x + (width -1)) && 
			event.y > y && event.y < (y + (height - 1)))
			return true;
		else
			return false;
	}

}
